{
  flake.modules.nixos.keith = {
    networking.hostName = "keith";

    networking.networkmanager = {
      enable = true;
      ensureProfiles.profiles = {
        p2p-nas = {
          connection = {
            id = "p2p-nas";
            type = "ethernet";
            interface-name = "enp1s0";
            autoconnect = true;
          };
          ipv6 = {
            method = "manual";
            addresses = "fd00:fa57::1/64";
          };
          ipv4.method = "disabled";
          ethernet.mtu = 9000;
        };
      };
    };

    networking.extraHosts = ''
      fd00:fa57::2 duke.veltnet
    '';

    networking.firewall.enable = false;
  };
}
